/*  Copyright (C) 2020 Andrea G. Monaco
 *
 *  This file is part of libre-sapienza.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */


#include "config.h"

#include <curl/curl.h>
#include <jansson.h>

#include <libintl.h>
#define _(String) gettext (String)

#include "student.h"


json_t *student_info = NULL;


void
print_student_info (void)
{
  json_t *rit = json_object_get (student_info, "ritorno");

  printf (_("%s %s\n\n"
	    
	    "fiscal code %s\n"
	    "date of birth %s\n"
	    "gender %s\n"
	    "citizenship %s\n"
	    "mail address %s\n"
	    "institutional mail address %s\n\n"

	    "student id %lld\n"
	    "faculty %s\n"
	    "course %s (code %s)\n"
	    "total credits %s\n"
	    "course year %s\n"
	    "%s\n"
	    "first enrollment %s\n"
	    "last enrollment %s\n\n"

	    "erasmus student: %s\n\n"),
	  json_string_value (json_object_get (rit, "cognome")),
	  json_string_value (json_object_get (rit, "nome")),
	  json_string_value (json_object_get (rit, "codiceFiscale")),
	  json_string_value (json_object_get (rit, "dataDiNascita")),
	  json_string_value (json_object_get (rit, "sesso")),
	  json_string_value (json_object_get (rit, "cittadinanza")),
	  json_string_value (json_object_get (rit, "indiMail")),
	  json_string_value (json_object_get (rit, "indiMailIstituzionale")),
	  json_integer_value (json_object_get (rit, "matricola")),
	  json_string_value (json_object_get (rit, "facolta")),
	  json_string_value (json_object_get (rit, "nomeCorso")),
	  json_string_value (json_object_get (rit, "codCorso")),
	  json_string_value (json_object_get (rit, "creditiTotali")),
	  json_string_value (json_object_get (rit, "annoCorso")),
	  json_string_value (json_object_get (rit, "tipoIscrizione")),
	  json_string_value (json_object_get (rit, "primaIscr")),
	  json_string_value (json_object_get (rit, "ultIscr")),
	  json_is_true (json_object_get (rit, "isErasmus")) ? "yes" : "no");
}
